For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

Get Processor Run

Deprecated
GET
/processor_runs/:id
GET
/processor_runs/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.processorRun.get("processor_run_id_here");
1{
2 "success": true,
3 "processorRun": {
4 "object": "document_processor_run",
5 "id": "exr_Xj8mK2pL9nR4vT7qY5wZ",
6 "processorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
7 "processorVersionId": "exv_Xj8mK2pL9nR4vT7qY5wZ",
8 "processorName": "Invoice Processor",
9 "status": "PENDING",
10 "output": {},
11 "reviewed": false,
12 "edited": false,
13 "edits": {},
14 "type": "CLASSIFY",
15 "config": {
16 "type": "CLASSIFY",
17 "baseProcessor": "classification_performance",
18 "baseVersion": "3.2.0",
19 "classifications": [
20 {
21 "id": "my_unique_id",
22 "type": "invoice",
23 "description": "An invoice is a document that lists the items purchased and the total amount due."
24 }
25 ],
26 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
27 "advancedOptions": {
28 "context": "default",
29 "advancedMultimodalEnabled": false,
30 "fixedPageLimit": 30,
31 "pageRanges": [
32 {
33 "start": 1,
34 "end": 10
35 },
36 {
37 "start": 20,
38 "end": 30
39 }
40 ]
41 },
42 "parser": {
43 "target": "markdown",
44 "chunkingStrategy": {
45 "type": "page",
46 "options": {
47 "minCharacters": 500,
48 "maxCharacters": 10000
49 }
50 },
51 "engine": "parse_performance",
52 "engineVersion": "latest",
53 "blockOptions": {
54 "figures": {
55 "enabled": true,
56 "figureImageClippingEnabled": true,
57 "advancedChartExtractionEnabled": false
58 },
59 "tables": {
60 "enabled": true,
61 "targetFormat": "html",
62 "tableHeaderContinuationEnabled": false,
63 "cellBlocksEnabled": false,
64 "agentic": {
65 "enabled": false,
66 "customInstructions": "string"
67 }
68 },
69 "text": {
70 "signatureDetectionEnabled": false,
71 "agentic": {
72 "enabled": false,
73 "customInstructions": "string"
74 }
75 },
76 "keyValue": {
77 "blankFieldFormattingEnabled": false
78 },
79 "barcodes": {
80 "imageClippingEnabled": false,
81 "readingEnabled": false
82 },
83 "formulas": {
84 "enabled": false
85 }
86 },
87 "advancedOptions": {
88 "pageRotationEnabled": true,
89 "pageRanges": [
90 {
91 "start": 1,
92 "end": 10
93 },
94 {
95 "start": 20,
96 "end": 30
97 }
98 ],
99 "excelParsingMode": "basic",
100 "excelSkipHiddenContent": false,
101 "excelUseRawCellValues": false,
102 "excelSkipCalculation": true,
103 "verticalGroupingThreshold": 1,
104 "returnOcr": {
105 "words": false
106 },
107 "alwaysConvertToPdf": false,
108 "enrichmentFormat": "xml",
109 "imageConversionQuality": "medium",
110 "formattingDetection": [
111 {
112 "type": "change_tracking"
113 }
114 ]
115 }
116 }
117 },
118 "files": [
119 {
120 "object": "file",
121 "id": "file_xK9mLPqRtN3vS8wF5hB2cQ",
122 "name": "Invoices.pdf",
123 "type": "PDF",
124 "presignedUrl": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf",
125 "parentFileId": "file_Zk9mNP12Qw4yTv8BdR3H",
126 "metadata": {
127 "pageCount": 30,
128 "parentSplit": {
129 "id": "string",
130 "type": "Invoice",
131 "identifier": "other_2_9",
132 "startPage": 1,
133 "endPage": 10
134 }
135 },
136 "createdAt": "2024-03-21T16:45:00Z",
137 "updatedAt": "2024-03-21T16:45:00Z",
138 "contents": {
139 "rawText": "string",
140 "pages": [
141 {
142 "pageNumber": 1,
143 "pageHeight": 792,
144 "pageWidth": 612,
145 "markdown": "# Heading\n\nThis is a paragraph with **bold** and *italic* text.\n\n- List item 1\n- List item 2\n\n> This is a blockquote",
146 "html": "<div>This is the html of the page.</div>"
147 }
148 ],
149 "sections": [
150 {
151 "startPageNumber": 1,
152 "endPageNumber": 3,
153 "markdown": "# Section Header\n\nContent spanning multiple pages...\n"
154 }
155 ],
156 "sheets": [
157 {
158 "sheetName": "Sheet1",
159 "rawText": "Column1,Column2\nValue1,Value2"
160 }
161 ]
162 }
163 }
164 ],
165 "mergedProcessors": [
166 {
167 "processorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
168 "processorVersionId": "exv_Xj8mK2pL9nR4vT7qY5wZ",
169 "processorName": "Invoice Line Items Processor"
170 }
171 ],
172 "url": "https://dashboard.extend.ai/runs/exr_Xj8mK2pL9nR4vT7qY5wZ",
173 "failureReason": "string",
174 "failureMessage": "string",
175 "metadata": {},
176 "initialOutput": {},
177 "reviewedOutput": {},
178 "usage": {
179 "credits": 3.5
180 }
181 }
182}
Retrieve details about a specific processor run, including its status, outputs, and any edits made during review. A common use case for this endpoint is to poll for the status and final output of an async processor run when using the [Run Processor](https://docs.extend.ai/2026-02-09/developers/api-reference/endpoints/legacy/create-processor-run) endpoint. For instance, if you do not want to not configure webhooks to receive the output via completion/failure events.
Was this page helpful?
Previous

Delete Processor Run

Next
Built with

Retrieve details about a specific processor run, including its status, outputs, and any edits made during review.

A common use case for this endpoint is to poll for the status and final output of an async processor run when using the Run Processor endpoint. For instance, if you do not want to not configure webhooks to receive the output via completion/failure events.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier for this processor run.

Example: "exr_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Response

Successfully retrieved processor run
successboolean
processorRunobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error